OpenapiRecordings
List doorbell recordings
Retrieves recordings associated with a doorbell, with optional filters and pagination.
Authorization
RingAccessToken AuthorizationBearer <token>
Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.
In: header
Path Parameters
device_id*integer
Format
int64Range
1 <= valueQuery Parameters
limit?integer
Positive maximum number of results; 20 was recorded.
Range
1 <= valuekind?string
History category. Known values include ding, motion, and on_demand.
older_than?integer
Returns history older than this Unix timestamp, when supported.
Format
int64Range
0 <= valueResponse Body
application/json
application/json
curl -X GET "https://example.com/clients_api/doorbots/1/history"[ { "id": 1, "kind": "ding", "answered": false, "created_at": "2025-01-01T00:00:00Z", "doorbot": { "id": 1 } }]